{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <h1>Category index</h1>
    
    <!-- Button trigger modal,  data-target = createModal => MODAL class="modal fade" id="createModal"-->
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createModal">
        <i class="fas fa-plus"></i>
        CREATE
    </button>
    {# <a href="{{ path('category_new') }}">Create new</a> #}
    <table id="employee_table" class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td>{{ category.id }}</td>
                <td>{{ category.name }}</td>
                <td> 
                   {# <a href="{{ path('category_show', {'id': category.id}) }}">show</a>
                     
                   <button data-toggle="modal" data-target="#showModal" data-id="{{ category.id }}" id="{{ category.id }}" class="btn btn-sm btn-info">
                        <i class="fa fa-eye" aria-hidden="true"></i> 
                        SHOW
                   </button> #}
                   <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#showModal" data-whatever="{{ category.id }}">
                        <i class="fa fa-eye" aria-hidden="true"></i> 
                        SHOW
                   </button>
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#editModal" data-whatever="{{ category.id }}">
                        <i class="fa fa-pencil" aria-hidden="true"></i> 
                        EDIT
                   </button>
                    <a href="{{ path('category_edit', {'id': category.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{{ include('category/_new.html.twig') }}
{{ include('category/_show.html.twig') }}
{{ include('category/_edit.html.twig') }}
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {# js createModal #}
    <script> 
        $('#createModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var recipient = button.data('whatever') // Extract info from data-* attributes
        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this)
        var slug = '/category/new' ;

            $.ajax({
                type: "POST",
                url: slug,
                data: '',
                cache: false,
                success: function (data) {
                    console.log(data);
                    modal.find('#category_name').val(data.name);  
                    modal.find('#create-modal-body').html(data);
                    modal.find('#createModal').modal('show'); 
                },
                error: function(err) {
                    console.log(err);
                }
            });  
    })
    </script>
    <script>
    $('#category_save').on("submit",function(event) {
        event.preventDefault();  
        var val1 = $('#category_name').val();
        var slug = '/category/new' ;

        // var val2 = $('#text2').val();
        $.ajax({
            type: 'POST',
            url: slug,
            data: ('#edit_category_form').serialize(),
            success: function(response) {
                $('#edit_category_form')[0].reset();
                $('#createModal').modal('hide');  
                $('#employee_table').html(data);
            },  
            error: function(err) {
                console.log(err);
            }
        });
    });
    </script>
    {# js showModal #}
    <script> 
        $('#showModal').on('show.bs.modal', function (eventView) {
        var button = $(eventView.relatedTarget) // Button that triggered the modal
        var recipient = button.data('whatever') // Extract info from data-* attributes
        var modal = $(this)
        // modal.find('.modal-title').text('View Category ' + recipient) 
        var dataString = 'id=' + recipient;
        var slug = '/category/'+recipient;
 
        $.ajax({
            type: "GET",
            url: slug,
            data: slug,
            cache: false, 
            success: function(data) {
                console.log(data);
                modal.find('#show-modal-body').html(data);
                modal.find('#showModal').modal('show');
            },
            error: function(err) {
                console.log(err);
            }
        }); 
    })
    </script>
    {# js editModal #}
    <script> 
        $('#editModal').on('show.bs.modal', function (eventEdit) {
        var button = $(eventEdit.relatedTarget) // Button that triggered the modal
        var recipient = button.data('whatever') // Extract info from data-* attributes
        var modal = $(this)
        // modal.find('.modal-title').text('Edit Category ' + recipient)
       
          var dataString = 'id=' + recipient;
          var slug = '/'+recipient+'/edit';
 
            $.ajax({
                type: "GET",
                url: slug,
                data: slug,
                cache: false,
                success: function (data) {
                    console.log(data);
                    modal.find('#show-modal-body').html(data);
                    modal.find('#showModal').html(data);
                },
                error: function(err) {
                    console.log(err);
                }
            });  
    }) 
    </script>

{% endblock %}